//
//  FILE NAME: CIDCtrls_.Hpp
//
//     AUTHOR: Dean Roddey
//
//    CREATED: 06/02/97
//
//  COPYRIGHT: 1992..1997, 'CIDCorp
//
//  DESCRIPTION:
//
//  This is the main internal header for the facility. It includes the main
//  public header, and any internal ones that are needed. It also includes
//  the system headers, which are only used internally.
//
//  CAVEATS/GOTCHAS:
//


// ----------------------------------------------------------------------------
//  Include our own public header
// ----------------------------------------------------------------------------
#include    "CIDCtrls.Hpp"


// ----------------------------------------------------------------------------
//  Include any internal headers
// ----------------------------------------------------------------------------
#include    "CIDCtrls_MessageIds.Hpp"


// ----------------------------------------------------------------------------
//  This is the intra-facilities types namespace. It contains non-class types
//  for use within the facility.
// ----------------------------------------------------------------------------
namespace tCIDWnd_
{
};


// ----------------------------------------------------------------------------
//  This is the intra-facilities constants namespace.
// ----------------------------------------------------------------------------
namespace kCIDCtrls_
{
    //
    //  These are the strings used in any popups that are done. These are
    //  default values that will be left if the load of these strings from
    //  resources fails.
    //
    const tCIDLib::Tch* const pszTitle1 = L"CIDLib GUI Controls Library";
    const tCIDLib::Tch* const pszTitle2 = L"Copyright (c) CIDLib 1992..1997";
};
