//
// NAME: CIDLib_PopUpLogger.Hpp
//
// DESCRIPTION:
//
//  This is the header file for the CIDLib_PopUpLogger.Cpp module. This
//  module provides a simple derivative of TLogger, and supports logging
//  via the popup mechanism.
//
//
// AUTHOR: Dean Roddey
//
// CREATE DATE: 11/27/96
//
// COPYRIGHT: 1992..1997, 'CIDCorp
//
//  CAVEATS/GOTCHAS:
//


#pragma pack(push, CIDLIBPACK)

// ----------------------------------------------------------------------------
//  CLASS: TPopUpLogger
// PREFIX: lgr
// ----------------------------------------------------------------------------
class CIDLIBEXP TPopUpLogger : public TLogger
{
    public  :
        // --------------------------------------------------------------------
        //  Constructors and Destructors.
        // --------------------------------------------------------------------
        TPopUpLogger();

        ~TPopUpLogger();


        // ---------------------------------------------------------------------
        //  Public, inherited methods
        // ---------------------------------------------------------------------
        tCIDLib::TVoid LogMsg
        (
            const   TError&                 errToLog
        );


    private :
        // ---------------------------------------------------------------------
        //  Unimplemented constructors and operators
        // ---------------------------------------------------------------------
        TPopUpLogger(const TPopUpLogger&);

        tCIDLib::TVoid operator=(const TPopUpLogger&);


        // --------------------------------------------------------------------
        //  Do any needed magic macros
        // --------------------------------------------------------------------
        RTTIMacros(TPopUpLogger,TLogger)
};

#pragma pack(pop)
